using namespace std::placeholders;
// wampcc provider implementation
{%- set wraps_model = component|ar_tag_value('wamp.wraps', 0) %}
{%- set wmodel = argon.context.get_model(wraps_model) %}
{% for method in wmodel.methods|ar_only_with_tags('wamp.provides') %}
{%- set wamp_path=method|ar_tag_value('wamp.provides', 0) %}
provide("{{wamp_path}}", std::bind(&{{component.name}}::{{method.name}}Wrapped, this, _1));
{%- endfor %}

{% filter cpp_section("onjoin_manual_code") %}
{% endfilter %}